# Offset
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.legacy.vehicles.serializables

## Class Offset

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.legacy.vehicles.serializables.Offset

    public class Offset
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Offset(double x, double y, double z)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getX()`
`double` `getY()`
`double` `getZ()`
`org.bukkit.util.Vector` `toVector()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Offset

    public Offset(double x,
                  double y,
                  double z)

### Method Detail

#### getX

    public double getX()

#### getY

    public double getY()

#### getZ

    public double getZ()

#### toVector

    public org.bukkit.util.Vector toVector()